View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001770aMulepublic2016-09-24 14:402017-08-02 23:46
ReporterTASADAR-F 
Assigned To 
PriorityurgentSeverityblockReproducibilityalways
StatusnewResolutionopen 
PlatformLinuxOSUbuntu OS Version16.04
Product Version2.3.2 
Target VersionFixed in Version 
Summary0001770: Amule build 2.3.2 eat all my 16GB ram
DescriptionSame tarball error.

http://bugs.amule.org/view.php?id=1768 [^]
Steps To Reproduce1- Open amule.
TagsNo tags attached.
Fixed in Revision
Operating SystemAny
Attached Files

- Relationships
has duplicate 0001768new Amule build 11164 eat all my 16GB ram 

-  Notes
(0003694)
GonoszTopi (administrator)
2016-10-01 15:05

Could you please provide some more information? Like
- How many files do you share?
- How many active downloads do you have?
- How many partfiles (active and paused downloads) do you have?
- Do you have autoconnect enabled?
- Do you connect to a server?
- Do you connect to Kad?
- Does aMule hog the CPU too while eating all your RAM?
- What are your up- and download bandwidths?
- Do you have an up- or download bandwidth limit set in aMule?
- Anything else you might think being related?
(0003696)
TASADAR-F (reporter)
2016-10-06 02:45
edited on: 2016-10-06 02:46

I test in other different computer (different configuration) with the same fatal result.

Computer A is Intel core i6100 16GB ram. Computer B Intel E8400 4GB ram.

When the problem appear (always in the first 5 or 7 minutes) amule eat 100% of only 1 core.

The problem appear with this message in the terminal



(amule:11985): GLib-CRITICAL **: Source ID 17384 was not found when attempting to remove it

(amule:11985): GLib-CRITICAL **: Source ID 17876 was not found when attempting to remove it

(amule:11985): GLib-CRITICAL **: Source ID 18389 was not found when attempting to remove it

(amule:11985): GLib-CRITICAL **: Source ID 18393 was not found when attempting to remove it
Terminado (killed)

(0003707)
Sebastien P. (reporter)
2017-08-02 23:46

Same thing on my side.

Here is BT when aMule is being crazy:
$ gdb amule
GNU gdb (Gentoo 7.12.1 vanilla) 7.12.1
Copyright (C) 2017 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html> [^]
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law. Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-pc-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<https://bugs.gentoo.org/>. [^]
Find the GDB manual and other documentation resources online at:
<http://www.gnu.org/software/gdb/documentation/>. [^]
For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from amule...(no debugging symbols found)...done.
(gdb) start
Function "main" not defined.
Make breakpoint pending on future shared library load? (y or [n]) y
Temporary breakpoint 1 (main) pending.
Starting program: /usr/bin/amule
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
 2017-08-02 23:26:44: Initialising aMule 2.3.2 compiled with wxGTK2 v3.0.2
 2017-08-02 23:26:44: Checking if there is an instance already running...
 2017-08-02 23:26:44: No other instances are running.
 2017-08-02 23:26:45: ListenSocket : OK.
[New Thread 0x7fffeb2a7700 (LWP 9510)]
[New Thread 0x7fffeaaa6700 (LWP 9511)]
[New Thread 0x7fffea2a5700 (LWP 9512)]
 2017-08-02 23:26:45: Chargement des fichiers temporaires depuis /home/***-***/.aMule/Temp.
 2017-08-02 23:26:45: Tous les fichiers .part ont été chargés.
[Thread 0x7fffea2a5700 (LWP 9512) exited]
[New Thread 0x7fffea2a5700 (LWP 9513)]
[Thread 0x7fffeaaa6700 (LWP 9511) exited]

(amule:9492): GLib-CRITICAL **: Source ID 400 was not found when attempting to remove it
bt
^Z
Thread 1 "amule" received signal SIGTSTP, Stopped (user).
0x00007ffff7ffab61 in clock_gettime ()
(gdb) bt
#0 0x00007ffff7ffab61 in clock_gettime ()
0000001 0x00007ffff4f675d6 in clock_gettime () from /lib64/libc.so.6
0000002 0x00007ffff39f2711 in g_get_monotonic_time () from /usr/lib64/libglib-2.0.so.0
0000003 0x00007ffff39f2f95 in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
0000004 0x00007ffff39f3878 in ?? () from /usr/lib64/libglib-2.0.so.0
0000005 0x00007ffff39f3d02 in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
0000006 0x00007ffff4768ca7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
0000007 0x00007ffff66aba7d in wxGUIEventLoop::DoRun() () from /usr/lib64/libwx_gtk2u_core-3.0.so.0
0000008 0x00007ffff5dfb69b in wxEventLoopBase::Run() () from /usr/lib64/libwx_baseu-3.0.so.0
0000009 0x00007ffff5dc0d24 in wxAppConsoleBase::MainLoop() () from /usr/lib64/libwx_baseu-3.0.so.0
0000010 0x00007ffff5e4bbf0 in wxEntry(int&, wchar_t**) () from /usr/lib64/libwx_baseu-3.0.so.0
#11 0x000000000043fe18 in ?? ()
0000012 0x00007ffff4e93640 in __libc_start_main () from /lib64/libc.so.6
0000013 0x0000000000452629 in ?? ()

aMule works fine when I disconnect it at startup (autoconnexion at startup).

Could you please provide some more information? Like
 - How many files do you share?
=> 177
 - How many active downloads do you have?
=> 0
 - How many partfiles (active and paused downloads) do you have?
=> 0
 - Do you have autoconnect enabled?
=> yes
 - Do you connect to a server?
=> yes random from peerates
 - Do you connect to Kad?
=> yes
 - Does aMule hog the CPU too while eating all your RAM?
=> yes
 - What are your up- and download bandwidths?
 - Do you have an up- or download bandwidth limit set in aMule?
=> no, there is no transfert at this time
 - Anything else you might think being related?
=> yes, when I compile aMule with a non-3.0 version of wxGTK, it works fine:
wxGTK-2.8.12.1 => works fine
wxGTK-3.0.2.0 => quickly 100% CPU and eat memory

- Issue History
Date Modified Username Field Change
2016-09-24 14:40 TASADAR-F New Issue
2016-10-01 14:59 GonoszTopi Relationship added has duplicate 0001768
2016-10-01 15:05 GonoszTopi Note Added: 0003694
2016-10-01 15:05 GonoszTopi Status new => feedback
2016-10-06 02:45 TASADAR-F Note Added: 0003696
2016-10-06 02:45 TASADAR-F Status feedback => new
2016-10-06 02:46 TASADAR-F Note Edited: 0003696 View Revisions
2017-08-02 23:46 Sebastien P. Note Added: 0003707


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker